/*
    Enki - a fast 2D robot simulator
    Copyright (C) 1999-2005 Stephane Magnenat <nct@ysagoon.com>
    Copyright (C) 2005 Laboratory of Intelligent Systems, EPFL, Lausanne
    See AUTHORS for details

    This program is free software; the authors of any publication 
    arising from research using this software are asked to add the 
    following reference:
    Enki - a fast 2D robot simulator part of the Teem framework
    http://teem.epfl.ch
    Stephane Magnenat <stephane.magnenat@epfl.ch>,
    Markus Waibel <markus.waibel@epfl.ch>
    Laboratory of Intelligent Systems, EPFL, Lausanne.

    You can redistribute this program and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "MavMessage.h"

/*!
	\file MavMessage.h
	\brief Implementation of the mav message entity 
*/
namespace Enki
{
	MavMessage::MavMessage(int id,int density, double orientation, bool orbitting, char *msg, int savedMav, std::valarray<int> neighborTable)
	{
		this->id = id;
		this->density = density;
		this->orientation = orientation;
		this->orbitting=orbitting;
		this->msg=msg;
		this->savedMav=savedMav; 
		this->neighborTable.resize(neighborTable.size());
		this->neighborTable=neighborTable;
	}
			
	void  MavMessage::setId(int id)
	{
		this->id=id;
	}
	void  MavMessage::setDensity(int density)
	{
		this->density=density;
	}
	void  MavMessage::setOrientation(double orientation)
	{
		this->orientation=orientation;
	}
	void  MavMessage::setMsg(char *msg)
	{
		this->msg=msg;
	}
	char *MavMessage::getMsg()
	{
		return msg;
	}
	void MavMessage::setSavedMav(int id)
	{
		this->savedMav=id;  
	}
	void MavMessage::setNeighborTable(std::valarray<int> neighborTable)
	{
		this->neighborTable.resize(neighborTable.size());
		this->neighborTable=neighborTable;
	}
	int  MavMessage::getId()
	{
		return id;
	}
	int  MavMessage::getDensity()
	{
		return density;
	}
	double  MavMessage::getOrientation()
	{
		return orientation;
	}
	
	bool  MavMessage::isOrbitting()
	{
		return orbitting;
	}
	void MavMessage::setOrbitting(bool orbitting)
	{
		this->orbitting=orbitting;
	}
	int  MavMessage::getSavedMav()
	{
		return savedMav;
	}
	std::valarray<int> MavMessage::getNeighborTable()
	{
		return this->neighborTable;
	}
}
